Skip to content

Returns a Work Schedule scope-filtered page of active Sites or Workers.

GET
/api/workspace/work-schedule/effective-schedule/resources/{catalogKey}
curl --request GET \
--url https://example.com/api/workspace/work-schedule/effective-schedule/resources/example \
--header 'Authorization: Bearer <token>'
catalogKey
required
string

Allowlisted resource catalog: Site or Worker.

Search
string

Optional case-insensitive search over system DisplayName and Number only.

Cursor
string

Opaque cursor returned by the previous page.

PageSize
integer format: int32

Page size from 1 through 100.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

One cursor page of resources authorized for effective schedule projection.

object
CatalogKey

Allowlisted Work Schedule catalog key.

string
nullable
EntityDefinitionId

Resolved system Entity Definition identifier.

string
nullable
Items

Current field-safe resource page.

Array<object>
nullable

One field-safe operational catalog lookup item.

object
Id

Entity Instance identifier.

string
nullable
DisplayName

Resolved Entity Instance display name.

string
nullable
Number

Server-generated Entity Instance number.

string
nullable
SchedulingValues

Allowlisted scheduling values readable by the current actor.

object
key
additional properties
string
nullable
ManageableItemIds

Identifiers from the current page for which the actor may manage base assignments.

Array<string>
nullable
NextCursor

Opaque continuation cursor, or null at the end of the result set.

string
nullable
PageSize

Requested page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

One cursor page of resources authorized for effective schedule projection.

object
CatalogKey

Allowlisted Work Schedule catalog key.

string
nullable
EntityDefinitionId

Resolved system Entity Definition identifier.

string
nullable
Items

Current field-safe resource page.

Array<object>
nullable

One field-safe operational catalog lookup item.

object
Id

Entity Instance identifier.

string
nullable
DisplayName

Resolved Entity Instance display name.

string
nullable
Number

Server-generated Entity Instance number.

string
nullable
SchedulingValues

Allowlisted scheduling values readable by the current actor.

object
key
additional properties
string
nullable
ManageableItemIds

Identifiers from the current page for which the actor may manage base assignments.

Array<string>
nullable
NextCursor

Opaque continuation cursor, or null at the end of the result set.

string
nullable
PageSize

Requested page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

One cursor page of resources authorized for effective schedule projection.

object
CatalogKey

Allowlisted Work Schedule catalog key.

string
nullable
EntityDefinitionId

Resolved system Entity Definition identifier.

string
nullable
Items

Current field-safe resource page.

Array<object>
nullable

One field-safe operational catalog lookup item.

object
Id

Entity Instance identifier.

string
nullable
DisplayName

Resolved Entity Instance display name.

string
nullable
Number

Server-generated Entity Instance number.

string
nullable
SchedulingValues

Allowlisted scheduling values readable by the current actor.

object
key
additional properties
string
nullable
ManageableItemIds

Identifiers from the current page for which the actor may manage base assignments.

Array<string>
nullable
NextCursor

Opaque continuation cursor, or null at the end of the result set.

string
nullable
PageSize

Requested page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Service Unavailable

Media typeapplication/json
object
Data

One cursor page of resources authorized for effective schedule projection.

object
CatalogKey

Allowlisted Work Schedule catalog key.

string
nullable
EntityDefinitionId

Resolved system Entity Definition identifier.

string
nullable
Items

Current field-safe resource page.

Array<object>
nullable

One field-safe operational catalog lookup item.

object
Id

Entity Instance identifier.

string
nullable
DisplayName

Resolved Entity Instance display name.

string
nullable
Number

Server-generated Entity Instance number.

string
nullable
SchedulingValues

Allowlisted scheduling values readable by the current actor.

object
key
additional properties
string
nullable
ManageableItemIds

Identifiers from the current page for which the actor may manage base assignments.

Array<string>
nullable
NextCursor

Opaque continuation cursor, or null at the end of the result set.

string
nullable
PageSize

Requested page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}